jira-wiki-markup-1.5.1: Handle Jira wiki markup

Copyright | © 2019–2023 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@zeitkraut.de>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Jira.Parser.Shared

Description

Parsers whch are shared between multiple modules.

Synopsis

- icon :: Parsec Text u Icon
- icon' :: Parsec Text u Icon
- colorName :: Parsec Text u String

# Documentation

icon :: Parsec Text u Icon #

Parses an icon

icon' :: Parsec Text u Icon #

Like `icon`, but doesn't check whether the sequence is followed by a character that would prevent the interpretation as an icon.

colorName :: Parsec Text u String #